Bug 979397 - [abrt] yum-3.4.3-54.fc18: sqlitecachec.py:46:getPrimary:TypeError: Parsing primary.xml error: Document is empty
[abrt] yum-3.4.3-54.fc18: sqlitecachec.py:46:getPrimary:TypeError: Parsing pr...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
abrt_hash:131a04c884a6e2c260b36728ab7...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-28 08:30 EDT by sai.mutneja
Modified: 2014-02-05 18:12 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 18:12:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (2.07 KB, text/plain)
2013-06-28 08:30 EDT, sai.mutneja
no flags Details
File: core_backtrace (1.34 KB, text/plain)
2013-06-28 08:30 EDT, sai.mutneja
no flags Details
File: environ (2.92 KB, text/plain)
2013-06-28 08:30 EDT, sai.mutneja
no flags Details

  None (edit)
Description sai.mutneja 2013-06-28 08:30:16 EDT
Version-Release number of selected component:
yum-3.4.3-54.fc18

Additional info:
reporter:       libreport-2.1.4
cmdline:        /usr/bin/python /usr/bin/yum update
dso_list:       yum-metadata-parser-1.1.4-7.fc18.x86_64
executable:     /usr/bin/yum
kernel:         3.9.6-200.fc18.x86_64
runlevel:       N 5
uid:            0

Truncated backtrace:
sqlitecachec.py:46:getPrimary:TypeError: Parsing primary.xml error: Document is empty


Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in <module>
    yummain.user_main(sys.argv[1:], exit_code=True)
  File "/usr/share/yum-cli/yummain.py", line 319, in user_main
    errcode = main(args)
  File "/usr/share/yum-cli/yummain.py", line 144, in main
    result, resultmsgs = base.doCommands()
  File "/usr/share/yum-cli/cli.py", line 485, in doCommands
    return self.yum_cli_commands[self.basecmd].doCommand(self, self.basecmd, self.extcmds)
  File "/usr/share/yum-cli/yumcommands.py", line 405, in doCommand
    return base.updatePkgs(extcmds, update_to=(basecmd == 'update-to'))
  File "/usr/share/yum-cli/cli.py", line 899, in updatePkgs
    self.update()
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 4739, in update
    updates = self.up.getUpdatesTuples()
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 1033, in <lambda>
    up = property(fget=lambda self: self._getUpdates(),
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 840, in _getUpdates
    self._up = rpmUtils.updates.Updates(self.rpmdb.simplePkgList(), self.pkgSack.simplePkgList())
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 1014, in <lambda>
    pkgSack = property(fget=lambda self: self._getSacks(),
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 780, in _getSacks
    self.repos.populateSack(which=repos)
  File "/usr/lib/python2.7/site-packages/yum/repos.py", line 352, in populateSack
    sack.populate(repo, mdtype, callback, cacheonly)
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 257, in populate
    dobj = repo_cache_function(xml, csum)
  File "/usr/lib64/python2.7/site-packages/sqlitecachec.py", line 46, in getPrimary
    self.repoid))
TypeError: Parsing primary.xml error: Document is empty


Local variables in innermost frame:
checksum: 'd7789c825dbf2cf5220c6b704a70b2d6aff4fec1'
self: <sqlitecachec.RepodataParserSqlite instance at 0x3bf4cb0>
location: '/var/cache/yum/x86_64/18/adobe-linux-x86_64/gen/primary.xml'

Potential duplicate: bug 879069
Comment 1 sai.mutneja 2013-06-28 08:30:23 EDT
Created attachment 766552 [details]
File: backtrace
Comment 2 sai.mutneja 2013-06-28 08:30:27 EDT
Created attachment 766553 [details]
File: core_backtrace
Comment 3 sai.mutneja 2013-06-28 08:30:34 EDT
Created attachment 766554 [details]
File: environ
Comment 4 Zdeněk Pavlas 2013-06-28 08:46:15 EDT
Can you check that '/var/cache/yum/x86_64/18/adobe-linux-x86_64/gen/primary.xml' is indeed an empty file?  There might be a bug in MD verification or decompression code, but I'm afraid this is not going to be easy to reproduce.
Comment 5 sai.mutneja 2013-06-28 09:10:02 EDT
it's empty
Comment 6 Fedora End Of Life 2013-12-21 10:34:46 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2014-02-05 18:12:39 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.